Sympa::Spool::Digest(3Sympa)

NAME
Sympa::Spool::Digest - Spool for messages waiting for digest sending

SYNOPSIS
  use Sympa::Spool::Digest;
  my $spool = Sympa::Spool::Digest->new(context => $list);

  $spool->store($message);

  my ($message, $handle) = $spool->next;

DESCRIPTION
Sympa::Spool::Digest implements the spool for messages waiting for digest sending.

  Methods
See also "Public methods" in Sympa::Spool.

new ( context => $list )
    Creates new instance of Sympa::Spool::Digest related to the list $list.

next ( )
    Order is controlled by delivery date, then by reception date.

  Properties
See also "Properties" in Sympa::Spool.

{time}
    Earliest time of messages in the spool, or "undef".

  Context and metadata
See also "Marshaling and unmarshaling metadata" in Sympa::Spool.

This class particularly gives following metadata:

{date}
    Unix time when the message was delivered.

{time}
    Unix time in floating point number when the message was stored.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queuedigest
    Parent directory path of digest spools.

SEE ALSO
sympa_msg(8), Sympa::Message, Sympa::Spool, Sympa::Spool::Digest::Collection.

HISTORY
Sympa::Spool::Digest appeared on Sympa 6.2.6.